<template lang="pug">
main.overflow-x-hidden.py-8.pb-16
  content-list(:query="query", :locale="$i18n.locale")
    template(v-slot="{ list }")
      blog-item(:list="list")
    template(#not-found)
</template>

<script setup lang="ts">
import type { QueryBuilderParams } from '@nuxt/content/dist/runtime/types'
const query: QueryBuilderParams = { path: '/', sort: [{ createdAt: -1 }] }
</script>
